- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sockaddr Struct Reference

`#include <sockets.h>`

## Data Fields
char | sa_data [14]
uInt8 | sa_family
uInt8 | sa_len

## Detailed Description

Definition at line 55 of file sockets.h.

## Field Documentation

char sockaddr::sa_data[14]

Definition at line 58 of file sockets.h.

uInt8 sockaddr::sa_family

Definition at line 57 of file sockets.h.

uInt8 sockaddr::sa_len

Definition at line 56 of file sockets.h.

The documentation for this struct was generated from the following file:

- src/sys/include/net/sockets.h